#import "Hoppeta.h"

#import "GNActor.h"

@implementation GNActor
- (id)init
{
	static Uint32 nextUniqueID = 0;

	[super init];
	position.x = 0.0f;
	position.y = 0.0f;
	position.z = 0.0f;
	velocity.x = 0.0f;
	velocity.y = 0.0f;
	velocity.z = 0.0f;
	uniqueID = nextUniqueID;
	nextUniqueID++;

	return self;
}

- (void)process
{
}

- (void)draw
{
}

- (BOOL)collides:(id)aActor
{
	float distance;

	distance = HPDistanceVectors(position,[aActor position]);
	if(distance < collisionSize + [aActor collisionSize])
	{
		return YES;
	}

	return NO;
}

- (Uint32)uniqueID
{
	return uniqueID;
}

- (HPVector)position
{
	return position;
}

- (float)collisionSize
{
	return collisionSize;
}
@end
