#import "Hoppeta.h"

#import "GNGonyNenga.h"
#import "GNTypewriterText.h"
#import "GNFader.h"
#import "GNTitle.h"

static GNTypewriterTextSource titleTypewriterTextSource[] =
{
	{
		224.0f,
		104.0f,
		(Sint8 *)"GONYNENGA 11",
		NO
	},
	{
		224.0f,
		344.0f,
		(Sint8 *)"(C)2011 GONY",
		YES
	},
};

@implementation GNTitle
- (id)init
{
	[super init];

	titleTypewriterText = [[GNTypewriterText alloc] initWithSource:titleTypewriterTextSource];
	[self addChildObject:titleTypewriterText];
	fader = [[GNFader alloc] init];
	[self addChildObject:fader];
	count = 0;

	return self;
}

- (void)begin
{
}

- (BOOL)processReturnsResult
{
	[titleTypewriterText process];
	[fader process];

	count++;
	if(count == 60)
	{
		[titleTypewriterText begin];
	}
	if(count == 240)
	{
		[fader begin:GNFaderFadeTypeFadeOut colorType:GNFaderColorTypeBlack frameNum:60];
	}
	if(count >= 330)
	{
		return YES;
	}

	return NO;
}

- (void)draw
{
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluOrtho2D(
		0.0f,
		640.0f,
		480.0f,
		0.0f);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	[titleTypewriterText draw];
	[fader draw];
}
@end
