typedef struct _GNTypewriterTextSource
{
	float x;
	float y;
	Sint8 * text;
	BOOL terminated;
} GNTypewriterTextSource;

@interface GNTypewriterText : HPObject
{
	GNTypewriterTextSource * source;
	Sint32 sourceIndex;
	Sint32 cursorPosition;
	Sint32 count;
	Sint32 fadeCount;
	Sint32 fadeCountMax;
	BOOL processing;
	BOOL fading;
	BOOL done;
}

- (id)initWithSource:(GNTypewriterTextSource *)aSource;
- (void)begin;
- (void)end;
- (void)fadeOutWithFrameNum:(Sint32)frameNum;
- (void)process;
- (void)draw;
@end
