typedef struct _HPVector
{
	double x;
	double y;
	double z;
} HPVector;

typedef struct _HPMatrix
{
	double data[16];
} HPMatrix;

extern double HPLengthVector(HPVector aVector);
extern double HPDistanceVectors(HPVector aVector,HPVector bVector);
extern HPVector HPNormalizedVector(HPVector aVector);
/// @todo NS_INLINEΤޤͤ
extern HPVector HPCrossProductVectors(HPVector aVector,HPVector bVector);
extern HPVector HPMultiplyMatrixVector(HPMatrix aMatrix,HPVector aVector);
extern HPMatrix HPIdentityMatrix(void);
extern HPMatrix HPInversionMatrix(HPMatrix aMatrix);
extern HPMatrix HPMultiplyMatrixes(HPMatrix aMatrix,HPMatrix bMatrix);
extern HPMatrix HPRotationMatrix(HPVector aVector,double angle);
