#import "Hoppeta.h"

#import "HPWave.h"

@implementation HPWave
- (id)initWithFilename:(char *)aFilename
{
	[super init];
	loaded = NO;
	chunk = Mix_LoadWAV(aFilename);

	return self;
}

- (void)play:(Sint32)channel
{
	Mix_PlayChannel(channel,chunk,0);
}

- (void)setVolume:(Sint32)volume
{
	Mix_VolumeChunk(chunk,volume);
}

- (void)dealloc
{
	// printf("- [HPWave dealloc]: entering. self = %08X\n",(Uint32)self);
	Mix_FreeChunk(chunk);
	[super dealloc];
}
@end
