#import "Hoppeta.h"

#import "GNActorList.h"
#import "GNActorEnumerator.h"

@implementation GNActorEnumerator
- (id)initWithActorlist:(id)aActorList actorListSize:(Sint32)aActorListSize
{
	[super init];
	actorList = aActorList;
	actorListSize = aActorListSize;
	index = 0;

	return self;
}

- (id)nextActor
{
	id actor;
	BOOL done;

	done = NO;
	while(done == NO)
	{
		if(index >= actorListSize)
		{
			return NULL;
		}

		actor = [actorList actorAtIndex:index];
		if(actor != NULL)
		{
			done = YES;
		}

		index++;
	}

	return actor;
}
@end
